from django.contrib.auth.models import AbstractUser
from django.db import models

class User(AbstractUser):
    name = models.CharField(max_length=100, verbose_name="Имя", blank=True)
    surname = models.CharField(max_length=100, verbose_name="Фамилия", blank=True)
    username = models.CharField(max_length=100, unique=True, verbose_name="Логин")
    avatar = models.ImageField(upload_to="avatars", verbose_name="Аватарка")
    password = models.CharField(max_length=100, verbose_name="Пароль")

class Service(models.Model):
    name = models.CharField(max_length=1000, blank=True, verbose_name="Название услуги")
    image = models.ImageField(upload_to="services", verbose_name="Картинка")
    text = models.TextField(blank=True, verbose_name="Описание")
    date = models.DateTimeField(auto_now_add=True, verbose_name="Дата добавления на сайт")